<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.prolog.cs.biz.outbound.dao.WmsRepPreMapper">

    <select id="getUnPres" resultType="com.prolog.cs.biz.outbound.model.WmsRepPre">
        select *  from wms_rep_pre
        where status  = '0' and CONVERT(ifnull(attr_str1,0) ,SIGNED) <![CDATA[ <= ]]> #{times}
        order by CONVERT(ifnull(attr_str1,0) ,SIGNED) asc , gmt_create asc
        limit 5
    </select>
</mapper>